
From: "Martin J. Bligh" <mbligh@aracnet.com>

x86_64's sysrq-T currently dumpts the same task lots of times.  Use the fix
which was applied to x86 to make it actually print different tasks.



 arch/x86_64/kernel/traps.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/kernel/traps.c~x86_64-sysrq-t-fix arch/x86_64/kernel/traps.c
--- 25/arch/x86_64/kernel/traps.c~x86_64-sysrq-t-fix	2003-12-14 22:47:30.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/traps.c	2003-12-14 22:47:30.000000000 -0800
@@ -218,8 +218,12 @@ void show_stack(struct task_struct *tsk,
 	// debugging aid: "show_stack(NULL, NULL);" prints the
 	// back trace for this cpu.
 
-	if(rsp==NULL)
-		rsp=(unsigned long*)&rsp;
+	if (rsp == NULL) {
+		if (tsk)
+			rsp = (unsigned long *)tsk->thread.rsp;
+		else
+			rsp = (unsigned long *)&rsp;
+	}
 
 	stack = rsp;
 	for(i=0; i < kstack_depth_to_print; i++) {

_
